Subject: Re: [bug#31375] [PATCH 0/2] Update wesnoth to 1.14.0

From: Arun Isaac <[email-masked]>
Date: Mon, 07 May 2018 19:49:05 +0530

Ludovic Courtès <[email-masked]> writes:

>> Caught general 'St8bad_cast' exception:
>> std::bad_cast
>
> Did you try getting a backtrace with gdb?  It might give clues.

This seems to be an upstream issue. I have contacted upstream, and they
have provided a patch. I'll include the patch and push.

https://github.com/wesnoth/wesnoth/issues/3050

I am not entirely sure if this issue was triggered in Guix (and not in
other distributions like Arch Linux), by some bug in our locale
handling.

> I think you need to merge them into a single patch; otherwise applying
> the first one leaves ‘wesnoth-server’ in broken state since it
> inherits from ‘wesnoth’.

Sure, will do.